rte_flow_item_integrity(3)

NAME
rte_flow_item_integrity

SYNOPSIS

#include <rte_flow.h>

  Data Fields

uint32_t level

Detailed Description

Warning
    EXPERIMENTAL: this structure may change without prior notice

RTE_FLOW_ITEM_TYPE_INTEGRITY

Match on packet integrity check result.

Definition at line 1906 of file rte_flow.h.

Field Documentation

  uint32_t level
Tunnel encapsulation level the item should apply to.

See also
    rte_flow_action_rss

Definition at line 1910 of file rte_flow.h.

  uint64_t packet_ok
The packet is valid after passing all HW checks.

Definition at line 1915 of file rte_flow.h.

  uint64_t l2_ok
L2 layer is valid after passing all HW checks.

Definition at line 1917 of file rte_flow.h.

  uint64_t l3_ok
L3 layer is valid after passing all HW checks.

Definition at line 1919 of file rte_flow.h.

  uint64_t l4_ok
L4 layer is valid after passing all HW checks.

Definition at line 1921 of file rte_flow.h.

  uint64_t l2_crc_ok
L2 layer CRC is valid.

Definition at line 1923 of file rte_flow.h.

  uint64_t ipv4_csum_ok
IPv4 layer checksum is valid.

Definition at line 1925 of file rte_flow.h.

  uint64_t l4_csum_ok
L4 layer checksum is valid.

Definition at line 1927 of file rte_flow.h.

  uint64_t l3_len_ok
L3 length is smaller than frame length.

Definition at line 1929 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.